Page MenuHomePhabricator

Refactor Namespace handling
Closed, ResolvedPublic

Description

Namespace selection code is duplicated between init and namespace providers. There should be a central class that provides the namespaces available for search.

This is a followup for T173736: Create a namespace checkbox for "General Help" and should have been part of that ticket.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2018, 2:24 PM

Documentation for namespaces was done in parallel in T188517

gabriel-wmde updated the task description. (Show Details)Mar 2 2018, 5:43 PM

Change 415337 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/AdvancedSearch@master] [wIP] Create a shared namespace repository

https://gerrit.wikimedia.org/r/415337

gabriel-wmde removed gabriel-wmde as the assignee of this task.Mar 12 2018, 11:05 AM
gabriel-wmde moved this task from Doing to Review on the wmde-fundraising-sprint-19 board.

Change 415337 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Create a shared namespace repository

https://gerrit.wikimedia.org/r/415337

Lea_WMDE closed this task as Resolved.Mar 23 2018, 12:25 PM